Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Id: lmdz1d.F90 3540 2019-06-25 14:50:13Z fairhead $
-!
 
       SUBROUTINE old_lmdz1d
@@ -164,7 +163,7 @@
 ! DECLARATIONS FOR EACH CASE
 !=====================================================================
-!
+
       INCLUDE "old_1D_decl_cases.h"
-!
+
 !---------------------------------------------------------------------
 !  Declarations related to nudging
@@ -179,5 +178,5 @@
      real :: u_targ(llm)
      real :: v_targ(llm)
-!
+
 !---------------------------------------------------------------------
 !  Declarations related to vertical discretization:
@@ -258,10 +257,10 @@
       integer jcode
       INTEGER read_climoz 
-!
+
       integer :: it_end ! iteration number of the last call
 !Al1
       integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
       data ecrit_slab_oc/-1/
-!
+
 !     if flag_inhib_forcing = 0, tendencies of forcing are added
 !                           <> 0, tendencies of forcing are not added
@@ -365,5 +364,5 @@
 !             use geostrophic wind ug=10m/s vg=0m/s. Duration of the case 53100s 
 !             Radiation to be switched off
-!
+
       if (forcing_type <=0) THEN
        forcing_les = .true.
@@ -459,5 +458,5 @@
         if (forcing_toga.or.forcing_sandu.or.forcing_astex .or. forcing_dice)                 &
       type_ts_forcing = 1
-!
+
 ! Initialization of the logical switch for nudging
      jcode = iflag_nudge
@@ -513,5 +512,5 @@
       endif
 !-----------------------------------------------------------------------
-!
+
 !c Date :
 !      La date est supposee donnee sous la forme [annee, numero du jour dans 
@@ -631,5 +630,4 @@
       d_q_nudge(:,:) = 0.
 
-!
 !   No ozone climatology need be read in this pre-initialization
 !          (phys_state_var_init is called again in physiq)
@@ -666,5 +664,4 @@
       rho(1)=psurf/(rd*tsurf*(1.+(rv/rd-1.)*qsurf)) 
 
-!
 !! mpl et jyg le 22/08/2012 : 
 !!  pour que les cas a flux de surface imposes marchent
@@ -718,5 +715,4 @@
       ENDIF
 
-!
 !=====================================================================
 ! EVENTUALLY, READ FORCING DATA :
@@ -743,5 +739,5 @@
 
 !  Rq: conf_phys.F90 lit tous les flags de physiq.def; conf_phys appele depuis physiq.F
-!
+
 ! day_step, iphysiq lus dans gcm.def ci-dessus
 ! timestep: calcule ci-dessous from rday et day_step
@@ -757,8 +753,8 @@
       timestep =rday/day_step
       dtime_frcg = timestep
-!
+
       zcufi=airefi
       zcvfi=airefi
-!
+
       rlat_rad(1)=xlat*rpi/180.
       rlon_rad(1)=xlon*rpi/180.
@@ -899,5 +895,5 @@
         sig1=0.
         w01=0.
-!
+
         wake_deltaq = 0.
         wake_deltat = 0.
@@ -932,5 +928,5 @@
 !------------------------------------------------------------------------
 ! Make file containing restart for the physics (startphy.nc)
-!
+
 ! NB: List of the variables to be written by phyredem (via put_field):
 ! rlon,rlat,zmasq,pctsrf(:,is_ter),pctsrf(:,is_lic),pctsrf(:,is_oce)
@@ -943,5 +939,5 @@
 ! wake_deltat,wake_deltaq,wake_s,awake_s,wake_dens,awake_dens,cv_gen,wake_cstar,
 ! wake_fip,wake_delta_pbl_tke(:,1:klev,nsrf)
-!
+
 ! NB2: The content of the startphy.nc file depends on some flags defined in
 ! the ".def" files. However, since conf_phys is not called in lmdz1d.F90, these flags have 
@@ -1028,5 +1024,5 @@
          open(97,file='div_slab.dat',STATUS='OLD')
        endif
-!
+
 !---------------------------------------------------------------------
 !    Initialize target profile for RHT nudging if needed
@@ -1038,5 +1034,5 @@
         call nudge_UV_init(plev,play,u,v,u_targ,v_targ)
       endif
-!
+
 !=====================================================================
 #ifdef OUTPUT_PHYS_SCM
@@ -1196,15 +1192,15 @@
        cfdt = cos(0.5*fcoriolis*timestep)
 !       print *,'fcoriolis,sfdt,cfdt,timestep',fcoriolis,sfdt,cfdt,timestep
-!
+
         du_age(1:mxcalc)= -2.*sfdt/timestep*                                &
             (sfdt*(u(1:mxcalc)-ug(1:mxcalc)) -                          &
              cfdt*(v(1:mxcalc)-vg(1:mxcalc))  )
 !!     : fcoriolis*(v(1:mxcalc)-vg(1:mxcalc))
-!
+
        dv_age(1:mxcalc)= -2.*sfdt/timestep*                                 &
             (cfdt*(u(1:mxcalc)-ug(1:mxcalc)) +                           &
              sfdt*(v(1:mxcalc)-vg(1:mxcalc))  )
 !!     : -fcoriolis*(u(1:mxcalc)-ug(1:mxcalc))
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!
 !  Nudging
@@ -1222,5 +1218,5 @@
                     d_u_nudge,d_v_nudge)
       endif
-!
+
        if (forcing_fire) THEN
 
@@ -1251,5 +1247,5 @@
 !         call  writefield_phy('u_tend' ,u,llm)
 !         call  writefield_phy('u_g' ,ug,llm)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !! Increment state variables
@@ -1301,5 +1297,5 @@
 
         teta=temp*(pzero/play)**rkappa
-!
+
 !---------------------------------------------------------------------
 !   Nudge soil temperature if requested
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5099)
@@ -98,5 +98,5 @@
 ! comments
 !=======================================================================
-!
+
 !  Input: modname = name of calling program
 !         message = stuff to print
@@ -113,5 +113,5 @@
       write(*,*) 'Reason = ',message
       call getin_dump
-!
+
       if (ierr == 0) then
         write(*,*) 'Everything is cool'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/scm.F90	(revision 5099)
@@ -128,7 +128,7 @@
 ! DECLARATIONS FOR EACH CASE
 !=====================================================================
-!
+
       INCLUDE "1D_decl_cases.h"
-!
+
 !---------------------------------------------------------------------
 !  Declarations related to nudging
@@ -143,5 +143,5 @@
      real :: u_targ(llm)
      real :: v_targ(llm)
-!
+
 !---------------------------------------------------------------------
 !  Declarations related to vertical discretization:
@@ -223,10 +223,10 @@
       integer jcode
       INTEGER read_climoz 
-!
+
       integer :: it_end ! iteration number of the last call
 !Al1,plev,play,phi,phis,presnivs,
       integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
       data ecrit_slab_oc/-1/
-!
+
 !     if flag_inhib_forcing = 0, tendencies of forcing are added
 !                           <> 0, tendencies of forcing are not added
@@ -287,5 +287,5 @@
 
       print*,'NATURE DE LA SURFACE ',nat_surf
-!
+
 ! Initialization of the logical switch for nudging
 
@@ -344,5 +344,5 @@
       endif
 !-----------------------------------------------------------------------
-!
+
 !c Date :
 !      La date est supposee donnee sous la forme [annee, numero du jour dans 
@@ -409,5 +409,4 @@
       d_q_nudge(:,:) = 0.
 
-!
 !   No ozone climatology need be read in this pre-initialization
 !          (phys_state_var_init is called again in physiq)
@@ -436,5 +435,4 @@
       rho(1)=psurf/(rd*tsurf*(1.+(rv/rd-1.)*qsurf)) 
 
-!
 !! mpl et jyg le 22/08/2012 : 
 !!  pour que les cas a flux de surface imposes marchent
@@ -484,5 +482,4 @@
       ENDIF
 
-!
 !=====================================================================
 ! EVENTUALLY, READ FORCING DATA :
@@ -503,5 +500,5 @@
 
 !  Rq: conf_phys.F90 lit tous les flags de physiq.def; conf_phys appele depuis physiq.F
-!
+
 ! day_step, iphysiq lus dans gcm.def ci-dessus
 ! timestep: calcule ci-dessous from rday et day_step
@@ -519,8 +516,8 @@
       timestep =rday/day_step
       dtime_frcg = timestep
-!
+
       zcufi=airefi
       zcvfi=airefi
-!
+
       rlat_rad(1)=xlat*rpi/180.
       rlon_rad(1)=xlon*rpi/180.
@@ -655,5 +652,5 @@
         sig1=0.
         w01=0.
-!
+
         wake_deltaq = 0.
         wake_deltat = 0.
@@ -689,5 +686,5 @@
 !------------------------------------------------------------------------
 ! Make file containing restart for the physics (startphy.nc)
-!
+
 ! NB: List of the variables to be written by phyredem (via put_field):
 ! rlon,rlat,zmasq,pctsrf(:,is_ter),pctsrf(:,is_lic),pctsrf(:,is_oce)
@@ -700,5 +697,5 @@
 ! wake_deltat,wake_deltaq,wake_s,awake_s,wake_dens,awake_dens,cv_gen,wake_cstar,
 ! wake_fip,wake_delta_pbl_tke(:,1:klev,nsrf)
-!
+
 ! NB2: The content of the startphy.nc file depends on some flags defined in
 ! the ".def" files. However, since conf_phys is not called in lmdz1d.F90, these flags have 
@@ -785,5 +782,5 @@
          open(97,file='div_slab.dat',STATUS='OLD')
        endif
-!
+
 !=====================================================================
 #ifdef OUTPUT_PHYS_SCM
@@ -927,5 +924,5 @@
              cfdt*(v(1:mxcalc)-vg(1:mxcalc))  )
 !!     : fcoriolis*(v(1:mxcalc)-vg(1:mxcalc))
-!
+
        d_v_age(1:mxcalc)= -2.*sfdt/timestep*                                 &
             (cfdt*(u(1:mxcalc)-ug(1:mxcalc)) +                           &
@@ -933,5 +930,5 @@
 !!     : -fcoriolis*(u(1:mxcalc)-ug(1:mxcalc))
       ENDIF
-!
+
 !---------------------------------------------------------------------
 !  Nudging
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90	(revision 5099)
@@ -80,8 +80,8 @@
 !!!
 !-------------------------------------------------------------------------------
-!
+
 !       0.   DECLARATIONS
 !            ------------
-!
+
 USE dimphy
 USE indice_sol_mod
@@ -93,18 +93,18 @@
 !USE MODD_SURF_ATM,         ONLY : XVCHRNK, XVZ0CM
 !USE MODD_REPROD_OPER,      ONLY : CCHARNOCK
-!
+
 !USE MODE_THERMOS
 !USE MODI_WIND_THRESHOLD
 !USE MODI_SURFACE_RI
-!
+
 !USE YOMHOOK,   ONLY : LHOOK,   DR_HOOK
 !USE PARKIND1,  ONLY : JPRB
-!
+
 !USE MODI_ABOR1_SFX
-!
+
 IMPLICIT NONE
-!
+
 !       0.1. Declarations of arguments
-!
+
 REAL, DIMENSION(klon), INTENT(IN)    :: PVMOD      ! module of wind at atm level (m/s)
 REAL, DIMENSION(klon), INTENT(IN)    :: PTA        ! air temperature at atm level (K)
@@ -126,7 +126,7 @@
 LOGICAL,            INTENT(IN)    :: OPERTFLUX
 REAL, DIMENSION(klon), INTENT(IN)    :: PRAIN     ! precipitation rate (kg/s/m2)
-!
+
 !INTEGER,            INTENT(IN)    :: KZ0
-!
+
 REAL, DIMENSION(klon), INTENT(INOUT) :: PSST       ! Sea Surface Temperature (K)
 REAL, DIMENSION(klon), INTENT(INOUT) :: PZ0SEA     ! roughness length over sea
@@ -148,5 +148,5 @@
 
 !       0.2. Declarations of local variables
-!
+
 ! specif SB
 INTEGER, DIMENSION(SIZE(PTA))     :: JCV        ! convergence index
@@ -155,5 +155,5 @@
 REAL, DIMENSION(SIZE(PTA))        :: PEXNA      ! Exner function at atm level
 REAL, DIMENSION(SIZE(PTA))       :: PEXNS      ! Exner function at atm level
-!
+
 REAL, DIMENSION(SIZE(PTA))        :: ZTAU       ! momentum flux (N/m2)
 REAL, DIMENSION(SIZE(PTA))        :: ZHF        ! sensible heat flux (W/m2)
@@ -249,5 +249,5 @@
 
 !REAL(KIND=JPRB) :: ZHOOK_HANDLE
-!
+
 !-------------------------------------------------------------------------------
 !----------------------- Modif Olive calcul de PRHOA ---------------------------
@@ -280,24 +280,24 @@
 
 !IF (LHOOK) CALL DR_HOOK('ECUMEV6_FLUX',0,ZHOOK_HANDLE)
-!
+
 ZDUSR0   = 1.E-06
 ZDTSR0   = 1.E-06
 ZDQSR0   = 1.E-09
-!
+
 NITERMAX = 5
 NITERSUP = 5
 OPCVFLX  = .TRUE.
-!
+
 NITERFL = NITERMAX
 IF (OPCVFLX) NITERFL = NITERMAX+NITERSUP
-!
+
 ZCOEFU = (/ 1.00E-03, 3.66E-02, -1.92E-03, 2.32E-04, -7.02E-06,  6.40E-08 /)
 ZCOEFT = (/ 5.36E-03, 2.90E-02, -1.24E-03, 4.50E-04, -2.06E-05,       0.0 /)
 ZCOEFQ = (/ 1.00E-03, 3.59E-02, -2.87E-04,      0.0,       0.0,       0.0 /)
-!
+
 ZUTU = 40.0
 ZUTT = 14.4
 ZUTQ = 10.0
-!
+
 ZCDIRU = ZCOEFU(1) + 2.0*ZCOEFU(2)*ZUTU + 3.0*ZCOEFU(3)*ZUTU**2   &
                    + 4.0*ZCOEFU(4)*ZUTU**3 + 5.0*ZCOEFU(5)*ZUTU**4
@@ -305,5 +305,5 @@
                    + 4.0*ZCOEFT(4)*ZUTT**3
 ZCDIRQ = ZCOEFQ(1) + 2.0*ZCOEFQ(2)*ZUTQ
-!
+
 ZORDOU = ZCOEFU(0) + ZCOEFU(1)*ZUTU + ZCOEFU(2)*ZUTU**2 + ZCOEFU(3)*ZUTU**3   &
                    + ZCOEFU(4)*ZUTU**4 + ZCOEFU(5)*ZUTU**5
@@ -311,12 +311,12 @@
                    + ZCOEFT(4)*ZUTT**4
 ZORDOQ = ZCOEFQ(0) + ZCOEFQ(1)*ZUTQ + ZCOEFQ(2)*ZUTQ**2
-!
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
 !       1.   AUXILIARY CONSTANTS & ARRAY INITIALISATION BY UNDEFINED VALUES.
 !       --------------------------------------------------------------------
-!
+
 ZDIRCOSZW(:) = 1.0
-!
+
 ZETV    = XRV/XRD-1.0   !~0.61 (cf Liu et al. 1979)
 ZRDSRV  = XRD/XRV       !~0.622
@@ -326,7 +326,7 @@
 ZBTA    = 16.0
 ZGMA    = 7.0           !initially =4.7, modified to 7.0 following G. Caniaux
-!
+
 ZP00    = 1013.25E+02
-!
+
 PCD  = XUNDEF
 PCH  = XUNDEF
@@ -339,5 +339,5 @@
 ZHF  = XUNDEF
 ZEF  = XUNDEF
-!
+
 PSFTH  = XUNDEF
 PSFTQ  = XUNDEF
@@ -345,14 +345,14 @@
 PRESA  = XUNDEF
 PRI    = XUNDEF
-!
+
 ZTAUR   = 0.0
 ZRF     = 0.0
 ZEFWEBB = 0.0
-!
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
 !       2.   INITIALISATIONS BEFORE ITERATIVE LOOP.
 !       -------------------------------------------
-!
+
 !ZVMOD(:) = WIND_THRESHOLD(PVMOD(:),PUREF(:))    !set a minimum value to wind
 ZVMOD = MAX(PVMOD , 0.1 * MIN(10.,PUREF) )    !set a minimum value to wind
@@ -360,11 +360,10 @@
 write(*,*) "ZVMOD ",SIZE(ZVMOD)
 
-!
 !       2.0. Radiative fluxes - For warm layer & cool skin
-!
+
 !       2.0b. Warm Layer correction
-!
+
 !       2.1. Specific humidity at saturation
-!
+
 WHERE(PSSS(:)>0.0.AND.PSSS(:)/=XUNDEF)
   PQSATA = QSAT_SEAWATER2 (PSST(:),PPS(:),PSSS(:))    !at sea surface
@@ -377,8 +376,8 @@
 !### OLIVIER POUR PRESSION SATURANTE #####
 !-------------------------------------------------------------------------------
-!
+
 ZFOES  = 1 !PSAT(PT(:))
 ZFOES  = 0.98*ZFOES
-!
+
 ZWORK1    = ZFOES/PPS
 ZWORK2    = XRD/XRV
@@ -398,17 +397,13 @@
 write(*,*) "PQSATA : ",PQSATA
 
-
-!
 !*       2.    COMPUTE SATURATION HUMIDITY
 !              ---------------------------
-!
+
 !PQSAT  = ZWORK2*ZWORK1 / (1.+(ZWORK2-1.)*ZWORK1)
 !ZQSATA = ZWORK2A*ZWORK1A / (1.+(ZWORK2A-1.)*ZWORK1A)
 ZQSATA = QSAT_SEAWATER (PTA(:),PPA(:))            !at sea surface
 
-
-!
 !       2.2. Gradients at the air-sea interface
-!
+
 ZDU(:) = ZVMOD(:)               !one assumes u is measured / sea surface current
 ZDT(:) = PTA(:)/PEXNA(:)-PSST(:)/PEXNS(:)
@@ -418,7 +413,7 @@
 write(*,*) "PQSAT",PQSAT(:)
 write(*,*) "ZDQ",ZDQ(:)
-!
+
 !       2.3. Latent heat of vaporisation
-!
+
 ZLVA(:) = XLVTT+(XCPV-XCL)*(PTA (:)-XTT)                !of pure water at atm level
 ZLVS(:) = XLVTT+(XCPV-XCL)*(PSST(:)-XTT)                !of pure water at sea surface
@@ -433,19 +428,19 @@
   ZLVS(:) = ZLVS(:)*(1.0-1.00472E-3*PSSS(:))            !of seawater at sea surface
 ENDWHERE
-!
+
 !       2.4. Specific heat of moist air (Businger 1982)
-!
+
 !ZCPA(:) = XCPD*(1.0+(XCPV/XCPD-1.0)*PQA(:))
 ZCPA(:) = XCPD
-!
+
 !       2.4b Kinematic viscosity of dry air (Andreas 1989, CRREL Rep. 89-11)
-!
+
 ZVISA(:) = 1.326E-05*(1.0+6.542E-03*(PTA(:)-XTT)+8.301E-06*(PTA(:)-XTT)**2   &
            -4.84E-09*(PTA(:)-XTT)**3)
-!
+
 !       2.4c Coefficients for warm layer and/or cool skin correction
-!
+
 !       2.5. Initial guess
-!
+
 ZDDU(:) = ZDU(:)
 ZDDT(:) = ZDT(:)
@@ -459,5 +454,4 @@
 write(*,*) "ZDDT ",ZDDT
 
-!
 JCV (:) = -1
 ZUSR(:) = 0.04*ZDDU(:)
@@ -468,15 +462,15 @@
 ZDELTAQ10N(:) = ZDDQ(:)
 JITER(:) = 99
-!
+
 ! In the following, we suppose that Richardson number PRI < XRIMAX
 ! If not true, Monin-Obukhov theory can't (and therefore shouldn't) be applied !
 !-------------------------------------------------------------------------------
-!
+
 !       3.   ITERATIVE LOOP TO COMPUTE U*, T*, Q*.
 !       ------------------------------------------
-!
+
 DO JJ=1,NITERFL
   DO JLON=1,SIZE(PTA)
-!
+
   IF (JCV(JLON) == -1) THEN
     ZUSR0(JLON)=ZUSR(JLON)
@@ -492,7 +486,7 @@
     ZDTSTO(JLON) = ZDELTAT10N(JLON)
     ZDQSTO(JLON) = ZDELTAQ10N(JLON)
-!
+
 !       3.1. Neutral parameter for wind speed (ECUME_V6 formulation)
-!
+
     IF (ZDELTAU10N(JLON) <= ZUTU) THEN
       ZPARUN(JLON) = ZCOEFU(0) + ZCOEFU(1)*ZDELTAU10N(JLON)      &
@@ -505,7 +499,7 @@
     ENDIF
     PCDN(JLON) = (ZPARUN(JLON)/ZDELTAU10N(JLON))**2
-!
+
 !       3.2. Neutral parameter for temperature (ECUME_V6 formulation)
-!
+
     IF (ZDELTAU10N(JLON) <= ZUTT) THEN
       ZPARTN(JLON) = ZCOEFT(0) + ZCOEFT(1)*ZDELTAU10N(JLON)      &
@@ -516,7 +510,7 @@
       ZPARTN(JLON) = ZCDIRT*(ZDELTAU10N(JLON)-ZUTT) + ZORDOT
     ENDIF
-!
+
 !       3.3. Neutral parameter for humidity (ECUME_V6 formulation)
-!
+
     IF (ZDELTAU10N(JLON) <= ZUTQ) THEN
       ZPARQN(JLON) = ZCOEFQ(0) + ZCOEFQ(1)*ZDELTAU10N(JLON)      &
@@ -525,17 +519,17 @@
       ZPARQN(JLON) = ZCDIRQ*(ZDELTAU10N(JLON)-ZUTQ) + ZORDOQ
     ENDIF
-!
+
 !       3.4. Scaling parameters U*, T*, Q*
-!
+
     ZUSR(JLON) = ZPARUN(JLON)
     ZTSR(JLON) = ZPARTN(JLON)*ZDELTAT10N(JLON)/ZDELTAU10N(JLON)
     ZQSR(JLON) = ZPARQN(JLON)*ZDELTAQ10N(JLON)/ZDELTAU10N(JLON)
-!
+
 !       3.4b Gustiness factor (Deardorff 1970)
-!
+
 !       3.4c Cool skin correction
-!
+
 !       3.5. Obukhovs stability param. z/l following Liu et al. (JAS, 1979)
-!
+
 ! For U
     ZLMOU = PUREF(JLON)*XG*XKARMAN*(ZTSR(JLON)/PTA(JLON)   &
@@ -545,8 +539,8 @@
     ZLMOU = MAX(MIN(ZLMOU,ZLMOMAX),ZLMOMIN)
     ZLMOT = MAX(MIN(ZLMOT,ZLMOMAX),ZLMOMIN)
-!
+
 !       3.6. Stability function psi (see Liu et al, 1979 ; Dyer and Hicks, 1970)
 !            Modified to include convective form following Fairall (unpublished)
-!
+
 ! For U
     IF (ZLMOU == 0.0) THEN
@@ -581,7 +575,7 @@
     ENDIF
     ZPSIT(JLON) = ZPSI_T
-!
+
 !       3.7. Update air-sea gradients
-!
+
     ZDDU(JLON) = ZDU(JLON)
     ZDDT(JLON) = ZDT(JLON)
@@ -601,7 +595,7 @@
     ZDELTAQ10N(JLON) = SIGN(MAX(ABS(ZDELTAQ10N(JLON)),10.0*ZDQSR0),   &
                             ZDELTAQ10N(JLON))
-!
+
 !       3.8. Test convergence for U*, T*, Q*
-!
+
     IF (ABS(ZUSR(JLON)-ZUSR0(JLON)) < ZDUSR0 .AND.   &
         ABS(ZTSR(JLON)-ZTSR0(JLON)) < ZDTSR0 .AND.   &
@@ -612,18 +606,18 @@
     JITER(JLON) = JJ
   ENDIF
-!
+
   ENDDO
 ENDDO
-!
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
 !       4.   COMPUTATION OF TURBULENT FLUXES AND EXCHANGE COEFFICIENTS.
 !       ---------------------------------------------------------------
-!
+
 DO JLON=1,SIZE(PTA)
-!
+
 !       4.1. Surface turbulent fluxes
 !            (ATM CONV.: ZTAU<<0 ; ZHF,ZEF<0 if atm looses heat)
-!
+
   ZTAU(JLON) = -PRHOA(JLON)*ZUSR(JLON)**2
   ZHF(JLON)  = -PRHOA(JLON)*ZCPA(JLON)*ZUSR(JLON)*ZTSR(JLON)
@@ -634,7 +628,6 @@
   write(*,*) "LAT = ",ZEF(JLON)
 
-!
 !       4.2. Exchange coefficients PCD, PCH, PCE
-!
+
   PCD(JLON) = (ZUSR(JLON)/ZDDU(JLON))**2
   PCH(JLON) = (ZUSR(JLON)*ZTSR(JLON))/(ZDDU(JLON)*ZDDT(JLON))
@@ -645,7 +638,6 @@
   write(*,*) "ZQSR = ",ZQSR(JLON)
 
-!
 !       4.3. Stochastic perturbation of turbulent fluxes
-!
+
 !  IF( OPERTFLUX )THEN
 !    ZTAU(JLON) = ZTAU(JLON)* ( 1. + PPERTFLUX(JLON) / 2. )
@@ -653,28 +645,28 @@
 !    ZEF (JLON) = ZEF(JLON)*  ( 1. + PPERTFLUX(JLON) / 2. )
 !  ENDIF
-!
+
 ENDDO
-!
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
 !       5.   COMPUTATION OF FLUX CORRECTIONS DUE TO RAINFALL.
 !            (ATM conv: ZRF<0 if atm. looses heat, ZTAUR<<0)
 !       -----------------------------------------------------
-!
+
 IF (OPRECIP) THEN
   DO JLON=1,SIZE(PTA)
-!
+
 !       5.1. Momentum flux due to rainfall (ZTAUR, N/m2)
-!
+
 ! See pp3752 in FBR96.
     ZTAUR(JLON) = -0.85*PRAIN(JLON)*PVMOD(JLON)
-!
+
 !       5.2. Sensible heat flux due to rainfall (ZRF, W/m2)
-!
+
 ! See Eq.12 in GoF95 with ZCPWA as specific heat of water at atm level (J/kg/K),
 ! ZDQSDT from Clausius-Clapeyron relation, ZDWAT as water vapor diffusivity 
 ! (Eq.13-3 of Pruppacher and Klett, 1978), ZDTMP as heat diffusivity, and ZBULB
 ! as wet-bulb factor (Eq.11 in GoF95).
-!
+
     ZTAC   = PTA(JLON)-XTT
     ZCPWA  = 4217.51 -3.65566*ZTAC +0.1381*ZTAC**2       &
@@ -688,13 +680,13 @@
     ZRF(JLON) = PRAIN(JLON)*ZCPWA*ZBULB*((PSST(JLON)-PTA(JLON))   &
                 +(PQSATA(JLON)-PQA(JLON))*(ZLVA(JLON)*ZDWAT)/(ZCPA(JLON)*ZDTMP))
-!
+
   ENDDO
 ENDIF
-!
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
 !       6.   COMPUTATION OF WEBB CORRECTION TO LATENT HEAT FLUX (ZEFWEBB, W/m2).
 !       ------------------------------------------------------------------------
-!
+
 ! See Eq.21 and Eq.22 in FBR96.
 IF (OPWEBB) THEN
@@ -705,37 +697,37 @@
   ENDDO
 ENDIF
-!
-!-------------------------------------------------------------------------------
-!
+
+!-------------------------------------------------------------------------------
+
 !       7.   FINAL STEP : TOTAL SURFACE FLUXES AND DERIVED DIAGNOSTICS. 
 !       ---------------------------------------------------------------
-!
+
 !       7.1. Richardson number
-!
+
 ! CALL SURFACE_RI(PSST,PQSAT,PEXNS,PEXNA,PTA,PQA,   &
 !                PZREF,PUREF,ZDIRCOSZW,PVMOD,PRI)
-!
+
 !       7.2. Friction velocity which contains correction due to rain
-!
+
 ZUSTAR2(:) = -(ZTAU(:)+ZTAUR(:))/PRHOA(:)       !>>0 as ZTAU<<0 & ZTAUR<=0
-!
+
 IF (OPRECIP) THEN
   PCD(:) = ZUSTAR2(:)/ZDDU(:)**2
 ENDIF
-!
+
 PUSTAR(:) = SQRT(ZUSTAR2(:))                    !>>0
-!
+
 !       7.3. Aerodynamical conductance and resistance
-!
+
 ZAC  (:) = PCH(:)*ZDDU(:)
 PRESA(:) = 1.0/ZAC(:)
-!
+
 !       7.4. Total surface fluxes
-!
+
 PSFTH(:) =  ZHF(:)+ZRF(:)
 PSFTQ(:) = (ZEF(:)+ZEFWEBB(:))/ZLVS(:)
-!
+
 !       7.5. Charnock number
-!
+
 IF (CCHARNOCK == 'OLD') THEN
   ZCHARN(:) = XVCHRNK
@@ -743,7 +735,7 @@
   ZCHARN(:) = MIN(0.018,MAX(0.011,0.011+(0.007/8.0)*(ZDDU(:)-10.0)))
 ENDIF
-!
+
 !       7.6. Roughness lengths Z0 and Z0H over sea
-!
+
 !IF (KZ0 == 0) THEN      ! ARPEGE formulation
 !  PZ0SEA (:) = (ZCHARN(:)/XG)*ZUSTAR2(:) + XVZ0CM*PCD(:)/PCDN(:)
@@ -770,8 +762,8 @@
        PCE,&
        PCH]
-!
-!
+
+
 !IF (LHOOK) CALL DR_HOOK('ECUMEV6_FLUX',1,ZHOOK_HANDLE)
-!
+
 !-------------------------------------------------------------------------------
    END SUBROUTINE ECUMEV6_FLUX
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5099)
@@ -46,5 +46,5 @@
 REAL, DIMENSION(klon,klev), INTENT(IN)      :: masse,exner
 REAL, DIMENSION(klon,klev+1), INTENT(IN)    :: dtke
-!
+
 REAL, DIMENSION(klon,klev), INTENT(OUT)     :: d_t_ec
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: fcg_gcssold.h 2010-08-10 17:02:56Z lahellec $
-!
+
       logical :: imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold
       logical :: Tp_ini_gcssold
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_racmo.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_racmo.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_racmo.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: fcg_racmo.h 2011-02-16 17:02:56Z cheruy $
-!
+
       real   :: a_guide 
       logical :: ok_invertp 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 module FLOTT_GWD_rando_m
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5099)
@@ -1,6 +1,6 @@
-!
+
 ! $Id: flux_arp.h 2010-08-04 17:02:56Z lahellec $
 ! Modif EV, 10/2020
-!
+
       logical :: ok_flux_surf
       logical :: ok_prescr_ust !for prescribed ustar
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5099)
@@ -1,10 +1,10 @@
-!
+
 ! $Header$
-!
+
 MODULE fonte_neige_mod
-!
+
 ! This module will treat the process of snow, melting, accumulating, calving, in 
 ! case of simplified soil model.
-!
+
 !****************************************************************************************
   USE dimphy, ONLY : klon
@@ -52,7 +52,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE fonte_neige_init(restart_runoff)
 
@@ -60,5 +60,5 @@
 ! The variable run_off_lic_0 is initialized to the field read from
 ! restart file. The other variables are initialized to zero.
-!
+
 !****************************************************************************************
 ! Input argument
@@ -73,5 +73,5 @@
 !****************************************************************************************
 ! Allocate run-off at landice and initilize with field read from restart
-!
+
 !****************************************************************************************
 
@@ -85,5 +85,5 @@
 !****************************************************************************************
 ! Allocate other variables and initilize to zero
-!
+
 !****************************************************************************************
     ALLOCATE(run_off_ter(klon), stat = error)
@@ -131,5 +131,5 @@
 !****************************************************************************************
 ! Read tau_calv
-!
+
 !****************************************************************************************
     CALL conf_interface(tau_calv)
@@ -150,5 +150,5 @@
     USE isotopes_verif_mod
 #endif
-!
+
 !****************************************************************************************
 ! Input argument
@@ -164,5 +164,5 @@
 !****************************************************************************************
 ! Allocate run-off at landice and initilize with field read from restart
-!
+
 !****************************************************************************************
 
@@ -185,5 +185,5 @@
 !****************************************************************************************
 ! Allocate other variables and initilize to zero
-!
+
 !****************************************************************************************
 
@@ -226,7 +226,6 @@
 #endif
 
-!
-!****************************************************************************************
-!
+!****************************************************************************************
+
   SUBROUTINE fonte_neige( knon, nisurf, knindex, dtime, &
        tsurf, precip_rain, precip_snow, &
@@ -258,5 +257,5 @@
 !   precip_rain  precipitations liquides
 !   precip_snow  precipitations solides
-!
+
 ! input/output:
 !   snow         champs hauteur de neige
@@ -264,5 +263,5 @@
 !   tsurf_new    temperature au sol
 !   evap
-!
+
   INCLUDE "YOETHF.h"
   INCLUDE "YOMCST.h"
@@ -329,5 +328,5 @@
 ! Start calculation
 ! - Initialization
-!
+
 !****************************************************************************************
     coeff_rel = dtime/(tau_calv * rday)
@@ -338,5 +337,5 @@
 ! - Increment snow due to precipitation and evaporation
 ! - Calculate the water balance due to precipitation and evaporation (bil_eau_s)
-!
+
 !****************************************************************************************
     WHERE (precip_snow > 0.) 
@@ -374,5 +373,5 @@
 ! - Calculate calving and decrement snow, if there are to much snow
 ! - Update temperature at surface
-!
+
 !****************************************************************************************
 
@@ -451,5 +450,5 @@
 ! Save ffonte, fqfonte and fqcalving in global arrays for each 
 ! sub-surface separately
-!
+
 !****************************************************************************************
     DO i = 1, knon
@@ -466,7 +465,7 @@
 
   END SUBROUTINE fonte_neige
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE fonte_neige_final(restart_runoff &
 #ifdef ISO      
@@ -474,7 +473,7 @@
 #endif   
                           )
-!
+
 ! This subroutine returns run_off_lic_0 for later writing to restart file.
-!
+
 #ifdef ISO
     USE infotrac_phy, ONLY: niso
@@ -484,5 +483,5 @@
 #endif
 #endif
-!
+
 !****************************************************************************************
     REAL, DIMENSION(klon), INTENT(OUT) :: restart_runoff
@@ -540,7 +539,7 @@
 
   END SUBROUTINE fonte_neige_final
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE fonte_neige_get_vars(pctsrf, fqcalving_out, &
               fqfonte_out, ffonte_out, run_off_lic_out &
@@ -553,5 +552,5 @@
 ! Cumulate ffonte, fqfonte and fqcalving respectively for
 ! all type of surfaces according to their fraction.
-!
+
 ! This routine is called from physiq.F before histwrite.
 !****************************************************************************************
@@ -608,17 +607,17 @@
 
   END SUBROUTINE fonte_neige_get_vars
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 !#ifdef ISO
 !  subroutine fonte_neige_export_xtrun_off_lic_0(knon,xtrun_off_lic_0_diag)
 !    use infotrac_phy, ONLY: niso
-!
+
 !    ! inputs
 !    INTEGER, INTENT(IN)                      :: knon
 !    real, INTENT(IN), DIMENSION(niso,klon)   :: xtrun_off_lic_0_diag
-!
+
 !    xtrun_off_lic_0(:,:)=xtrun_off_lic_0_diag(:,:)
-!
+
 !  end subroutine fonte_neige_export_xtrun_off_lic_0
 !#endif 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
   SUBROUTINE freinage(knon, uu, vv,  &
        tt,veget,lai, height,ypaprs,ypplay,drag_pro,d_u,d_v)
